Subject: Re: bug#50143: 28.0.50; Various issues with `tamil-itrans' input method

From: Visuwesh <[email-masked]>
Date: Fri, 18 Feb 2022 06:31:52 +0530

[வியாழன், பிப்ரவரி 17 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 17 Feb 2022 16:23:06 +0530
>> 
>> >  1. For your items 1 and 3, just copy indian-tml-base-table to a new
>> >     variable, modify it to include the two missing characters and
>> >     replace the digits with nil, add a new variable similar to
>> >     indian-tml-itrans-v5-hash, and compute its value like we do with
>> >     indian-tml-itrans-v5-hash, but using the new table instead of
>> >     indian-tml-base-table.  Then make a new input method, called, say,
>> >     tamil-itrans-alt, which would use the new hash variable instead of
>> >     indian-tml-itrans-v5-hash.  Submit these changes as patches to
>> >     lisp/language/ind-util.el and lisp/leim/quail/indian.el.
>> >
>> 
>> Does the attached patch look okay to you?
>
> Yes, thanks.
>
>> The names of the new input methods are bad.  IMO, tamil-itrans and
>> tamil-inscript should ideally be renamed to tamil-itrans-digits and
>> tamil-inscript-digits, and the new input methods should be tamil-itrans
>> and tamil-inscript.  But I guess such a backwards incompatible change
>> won't fly?
>
> No, I think you can do the renaming.  The change is already
> incompatible, because we will be changing the default input method, so
> it will need a NEWS entry to tell how to get back old behavior, and in
> that NEWS entry we can also tell users to switch to another input
> method.
>

Okay, I will do that, thanks.

>> >  2. For your item 2, submit a patch that fixes the docstring of the
>> >     relevant input methods.
>> 
>> About item 2: according to the docstring of `quail-define-package',
>> constructs of the form "\<VAR>" should be replaced by the VAR:
>> 
>>     DOCSTRING is the documentation string of this package.  The command
>>     ‘describe-input-method’ shows this string while replacing the form
>>     \<VAR> in the string by the value of VAR.  That value should be a
>>     string.  For instance, the form \<quail-translation-docstring> is
>>     replaced by a description about how to select a translation from a
>>     list of candidates.
>> 
>> but this is not the case, I checked the code but don't see a
>> substitution like this happen.  Maybe this should be fixed in
>> `describe-input-method' instead?
>
> If you can find the problem and fix i there, fine.  But fixing only a
> small number of input methods with patches specific to those methods
> is also fine.
>

I will see what if I can fix it in the `describe-input-method' level,
and if I cannot figure it out, I will patch the input methods instead.

> Btw, the patch is already close to the limit of what we can accept
> without copyright assignment, so would you like to start your legal
> paperwork rolling at this time, so that we could in the future accept
> more contributions from you?  If yes, I will send you the form to fill
> and the instructions to go with that.
>
> Thanks.

Yes, I would appreciate it, thanks.